import os
from setuptools import setup, find_packages

README = open(os.path.join(os.path.dirname(__file__), 'README.rst')).read()

# allow setup.py to be run from any path
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))

setup(
    name='django-bootstrap-admin',
    version='0.3.3',
    packages=find_packages(),
    include_package_data=True,
    license='MIT License',  # example license
    description='Adds twitter bootstrap and other nicities to the Django admin',
    long_description=README,
    url='http://github.com/maxfolley/django-bootstrap-admin',
    author='Maxwell Folley',
    author_email='maxwell@weareflavor.com',
    classifiers=[
        'Environment :: Web Environment',
        'Framework :: Django',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License', # example license
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        # replace these appropriately if you are using Python 3
        'Programming Language :: Python :: 2.7',
        'Topic :: Internet :: WWW/HTTP',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
    ],
)
